# Ignoring unversioned files and directories
[Working copy management]

## Functions
svn_error_t * | svn_wc_get_default_ignores (apr_array_header_t **patterns, apr_hash_t *config, apr_pool_t *pool)
| Get the run-time configured list of ignore patterns from the svn_config_t's in the config hash, and store them in *patterns.
svn_error_t * | svn_wc_get_ignores2 (apr_array_header_t **patterns, svn_wc_context_t *wc_ctx, const char *local_abspath, apr_hash_t *config, apr_pool_t *result_pool, apr_pool_t *scratch_pool)
| Get the list of ignore patterns from the svn_config_t's in the config hash and the local ignore patterns from the directory at local_abspath, using wc_ctx, and store them in *patterns.
svn_error_t * | svn_wc_get_ignores (apr_array_header_t **patterns, apr_hash_t *config, svn_wc_adm_access_t *adm_access, apr_pool_t *pool)
| Similar to svn_wc_get_ignores2(), but with a svn_wc_adm_access_t parameter in place of svn_wc_context_t and `local_abspath` parameters.
svn_boolean_t | svn_wc_match_ignore_list (const char *str, const apr_array_header_t *list, apr_pool_t *pool)
| Return TRUE iff str matches any of the elements of list, a list of zero or more ignore patterns.

## Function Documentation

svn_error_t* svn_wc_get_default_ignores | ( | apr_array_header_t ** | patterns,
|  | apr_hash_t * | config,
|  | apr_pool_t * | pool |
| ) |  |  |

Get the run-time configured list of ignore patterns from the svn_config_t's in the config hash, and store them in *patterns.

Allocate *patterns and its contents in pool.

svn_error_t* svn_wc_get_ignores | ( | apr_array_header_t ** | patterns,
|  | apr_hash_t * | config,
|  | svn_wc_adm_access_t * | adm_access,
|  | apr_pool_t * | pool |
| ) |  |  |

Similar to svn_wc_get_ignores2(), but with a svn_wc_adm_access_t parameter in place of svn_wc_context_t and `local_abspath` parameters.

Since:
  New in 1.3.

Deprecated:
  Provided for backwards compatibility with the 1.6 API.

svn_error_t* svn_wc_get_ignores2 | ( | apr_array_header_t ** | patterns,
|  | svn_wc_context_t * | wc_ctx,
|  | const char * | local_abspath,
|  | apr_hash_t * | config,
|  | apr_pool_t * | result_pool,
|  | apr_pool_t * | scratch_pool |
| ) |  |  |

Get the list of ignore patterns from the svn_config_t's in the config hash and the local ignore patterns from the directory at local_abspath, using wc_ctx, and store them in *patterns.

Allocate *patterns and its contents in result_pool, use scratch_pool for temporary allocations.

Since:
  New in 1.7.

svn_boolean_t svn_wc_match_ignore_list | ( | const char * | str,
|  | const apr_array_header_t * | list,
|  | apr_pool_t * | pool |
| ) |  |  |

Return TRUE iff str matches any of the elements of list, a list of zero or more ignore patterns.

Since:
  New in 1.5.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines